RK-J - Feature #3023

Extension v.92.1: Allow user to hide extension for the page
05/05/2023 04:49 AM - Ram Kordale

Status: Closed Start date: 05/08/2023
Priority: Normal Due date: 05/08/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, we show the closed extension under some conditions.

In the closed state, under the arrow and at the top of the purple area, add a X button. Clicking on this should stop showing the
extension. If the user reloads this page, it is fine to show. Let the colour of X be bold black.

In the open state, show the X in the rightmost part of the white band (basically to the right of the phrase 'Video Hyperlinker').
As always, do not use cookies of browser storage.
Whenever the user does this, a searchable line should be recorded in the server logs.

Of course, if user goes to other videos/pages, show as per current rules.

Subtasks:

Task # 3025: BE-v.92.1: Allow 'hideExtensionClickCount' in the logging extension API. Closed
Task # 3026: FE-v.92.1: Allow user to hide extension for the page Closed
History

#1 - 05/05/2023 05:25 AM - Ayush Khandelwal

- Due date set to 05/05/2023

- Assignee changed from Ayush Khandelwal to Rishabh Rai
- Estimated time set to 2.00 h

#2 - 05/08/2023 04:31 AM - Ram Kordale
- Subject changed from Extension v.93: Allow user to hide extension for the page to Extension v.921: Allow user to hide extension for the page

- Description updated

#3 - 05/08/2023 05:33 AM - Ayush Khandelwal
- Due date changed from 05/05/2023 to 05/12/2023
- Estimated time deleted (2.00 h)

#4 - 05/09/2023 07:50 AM - Rishabh Rai

- Status changed from New to In Progress

#5 - 05/12/2023 04:12 AM - Ram Kordale

- Subject changed from Extension v.921: Allow user to hide extension for the page to Extension v.92.1: Allow user to hide extension for the page

#6 - 05/12/2023 11:26 AM - Rishabh Rai

- Status changed from In Progress to Resolved

#7 - 05/16/2023 06:58 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Rai to Ram Kordale

Working as expected
#8 - 05/16/2023 09:17 AM - Ram Kordale
- Status changed from Feedback to Closed
